

from flask import Flask
from flask_sqlalchemy import SQLAlchemy   # type: ignore
from flask_bcrypt import Bcrypt  # type: ignore
from flask_login import LoginManager # type: ignore


app = Flask(__name__)
app.config['SECRET_KEY'] = 'db3746b2ffa650b3804e4316d227f853'
app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///blogsite.db'
db = SQLAlchemy(app)
bcrypt = Bcrypt(app)
login_manager = LoginManager(app)
login_manager.login_view = 'login'


from blogapp import routes
